import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


public class boton extends Actor
{
   /** 
    * Cantidad de imgenes que tiene el botón
    */
    
    private static final int CANTIDAD = 2;
    /** 
     * Arreglo de imagenes del botón
     */
    private GreenfootImage[] images;
    /** 
     * Designa cual es la imagen del boton que se visualiza 
     */
    private int imgActual = 1;
    /**
     * Cada botón se le asigna una opción y dependiendo de esta es la función que se realiza cuando se presiona
     */
    private int opcion;
    private GreenfootSound g = new GreenfootSound("s1s.mp3");
    
    
    /**
     * Se inicializan las imagenes 
     */
    public boton(int ops)
    {
        
        
        opcion = ops;
        images = new GreenfootImage[CANTIDAD];
        for(int i = 0; i < CANTIDAD; i++)
            images[i] = new GreenfootImage("boton"+opcion + (i+1) + ".png");
        setImage(images[imgActual]);
    }
   
    
    /**
     * Se encarga de cambiar la imagen si es que se pasa el cursor por sobre de él y si se presiona ejecuta el método para para cambiar la acción 
     */
    public void act() 
    {
        if( Greenfoot.mouseMoved(null) )
        {
            if( Greenfoot.getMouseInfo().getActor() == this )
                imgActual = 1;
            else
                imgActual = 0;
        }
        
        setImage(images[imgActual]);
        
        
           
                //if(!g.isPlaying() && opcion == 1)
                // g.play();
                 
        if( Greenfoot.mouseClicked(this) ){
             World W = getWorld(); 
             ((hams)W).escogeOP();
             ((hams)W).cambiaop(opcion);
             // g.stop();
            //Greenfoot.playSound("hardblock.mp3");
         
        }
    }    
    
}
