import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;
import java.awt.Color;
import java.util.*;
import java.awt.Font;

public class mensaje1 extends Actor
{   
      
    private String text;

    
    /**
     * El constructor crea un mensaje para de tamaño y texto especifico en base a una imagen dada, 
     * utilizando el constructor de imagen de ancho y altura
     * @param tamFuente tamaño de la letra.
     * @param text texto del mensaje que se coloca en la imagen.
     * @param WIDTH ancho de la imagen
     * @param HEIGHT altura de la imagen
     */
   public mensaje1(float tamFuente, String text, int WIDTH, int HEIGHT)
   {
        int tams = (int)tamFuente;
        this.text = text;
        GreenfootImage imagen = new GreenfootImage(WIDTH, HEIGHT);
        Font fuente = imagen.getFont();
        //imagen.setFont(fuente.deriveFont(tamFuente)); 
        imagen.setFont(new Font("sansserif", Font.BOLD, tams));
        imagen.drawString(text,0,imagen.getHeight());
        setImage(imagen);        
    }
}